

/* At some stage I will learn enough about CSS to figure out a way to keep this in the normal stylesheet */


body {font-family:raleway; min-height:100dvh; margin:0px; background-color:#FDF5E6;}


/* Using local font */
  @font-face {font-family:raleway; src:url(raleway/Raleway-Light.ttf);}
  @font-face {font-family:ralewayRegular; src:url(raleway/Raleway-Regular.ttf);}
/* The Raleway font is licenced under the Open Font License and was created by Matt McInerney, Pablo Impallari and Rodrigo Fuenzalida from The League of Movable Type */


/* ---------- Only applicable to smaller devices ---------- */

@media only screen and (max-width:799px) {
/* Hide on smaller screens */
  .desktop {display:none;}
/* Text for wide and fancy colour blocks on mobile */
  .wdtxt {color:#000000; margin-left:16.7%; width:66.7%; padding-top:8dvh; padding-bottom:8dvh;}
}


/* ---------- Only applicable to larger devices ---------- */

@media only screen and (min-width:799px) {
/* Hide on larger screens */
  .mobile {display:none;}
/* Text for wide and fancy colour blocks on desktop */
  .wdtxt {color:#000000; margin-left:25%; width:25%; padding-top:18dvh; padding-bottom:18dvh;}
}


/* Flexbox layout and formatting */

.flex-container {
  display:flex;
  flex-direction:column;
  /* Fallback height */
    min-height:100vh;
  /* Dynamic viewport height */
    min-height:100dvh;
}
.flex-container div.header {background-color:#08787F; padding-top:8dvh; padding-bottom:8dvh; width:100%; border:none; display:block; color:#FDF5E6;}
.flex-container div.content {background-color:#FDF5E6;}
  a:link {color:#000000; text-decoration:underline; }
  a:visited {color:#000000; text-decoration:none;}
  a:hover {color:#08787F; text-decoration:none;}
  a:active {color:#08787F; text-decoration:none;}
.flex-container div.footer {margin-top:auto; background-color:#08787F; }
.footerframe {height:7.5ex; min-height:6vh; width:100%; border:none; display:block;}
.cta {font-size:0.85em;
  a:link {color:#000000; padding-left:1.7em; padding-right:1.7em; padding-bottom:0.85em; padding-top:0.85em; margin-right:8px; text-decoration:none; border-style:solid; border-width:1px; border-color:#000000;}
  a:visited {color:#000000; text-decoration:none;}
  a:hover {color:#000000; padding-left:1.7em; padding-bottom:0.85em; padding-top:0.85em; text-decoration:none; background-color:#f8ebd1;}
  a:active {color:#000000; text-decoration:none;}
}


/* ---------- Text formatting ---------- */

/* Larger and bolder text for emphasis */
  .initial {font-size:2em; font-weight:700;}
/* In the woods I like to poop, it was done in an H1 */
  h1 {display:block; font-size:3.5rem; margin:0em; font-weight:normal;}
/* Centred text */
  .center {text-align:center;}
/* Text aligned right */
  .right {text-align:right;}